class_name NoticePanel extends PanelContainer


var message : String :
	get:
		return %Label.text
	set(value):
		%Label.text = value

var duration : float :
	get:
		return %Timer.wait_time
	set(value):
		%Timer.wait_time = value
		%Timer.start()

func _on_timer_timeout() -> void:
	queue_free()
